[Rubygems-developers] RubyGems 1.2.0 release in less than one week

John Barnette jbarnette at gmail.com
Mon Jun 16 21:00:54 EDT 2008

On Mon, Jun 16, 2008 at 5:58 PM, Eric Hodel <drbrain at segment7.net> wrote:

> * RubyGems now has runtime and development dependency types.  Use
>  #add_development_dependency and #add_runtime_dependency.  All typeless
>  dependencies are considered to be development dependencies.

When I originally implemented this, typeless dependencies were
considered to be *runtime* dependencies, not development. This was to
provide backwards compatibility for older gemspecs. Did this change?

~ j.

More information about the Rubygems-developers mailing list